---
title: AnalyserNode.AnalyserNode()
slug: Web/API/AnalyserNode/AnalyserNode
tags:
  - API
  - AnalyserNode
  - Audio
  - Constructor
  - Media
  - Reference
  - Web Audio API
---
<p>{{APIRef("'Web Audio API'")}}</p>

<p class="summary">The <strong><code>AnalyserNode</code></strong> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("AnalyserNode")}} object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>analyserNode</var> = new AnalyserNode(<var>context</var>, ?<var>options</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the {{domxref("AudioNodeOptions")}} dictionary.</em></p>

<dl>
 <dt><em>context</em></dt>
 <dd>A reference to an {{domxref("AudioContext")}} or {{domxref("OfflineAudioContext")}}.</dd>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>
 <ul>
  <li><strong><code>fftSize</code></strong>: The desired initial size of the <a href="https://en.wikipedia.org/wiki/Fast_Fourier_transform">FFT</a> for <a href="https://en.wikipedia.org/wiki/Frequency_domain">frequency-domain</a> analysis. <br>
   The default is <code>2048</code>.</li>
  <li><strong><code>maxDecibels</code></strong>: The desired initial maximum power in <a href="https://en.wikipedia.org/wiki/Decibel">dB</a> for FFT analysis.<br>
   The default is <code>-30</code>.</li>
  <li><strong><code>minDecibels</code></strong>: The desired initial minimum power in dB for FFT analysis.<br>
   The default is <code>-100</code>.</li>
  <li><strong><code>smoothingTimeConstant</code></strong>: The desired initial smoothing constant for the FFT analysis. The default is <code>0.8</code>.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("AnalyserNode")}} object instance.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-analysernode-analysernode','AnalyserNode() constructor')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.AnalyserNode.AnalyserNode")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("BaseAudioContext.createAnalyser()")}}, the equivalent factory method</li>
</ul>
